Package org.springframework.web.bind.annotation

# Annotation Interface CookieValue

@Target(PARAMETER) @Retention(RUNTIME) @Documented public @interface CookieValue
Annotation to indicate that a method parameter is bound to an HTTP cookie.

The method parameter may be declared as type `Cookie` or as cookie value type (String, int, etc.).

Since:
  3.0
Author:
  Juergen Hoeller, Sam Brannen
See Also:
  - `RequestMapping`
  - `RequestParam`
  - `RequestHeader`
  - `RequestMapping`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`defaultValue`
The default value to use as a fallback.
`String`
`name`
The name of the cookie to bind to.
`boolean`
`required`
Whether the cookie is required.
`String`
`value`
Alias for `name()`.

## Element Details

### value

@AliasFor("name") String value
Alias for `name()`.

Default:
  ""

### name

@AliasFor("value") String name
The name of the cookie to bind to.

Since:
  4.2

Default:
  ""

### required

boolean required
Whether the cookie is required.

Defaults to `true`, leading to an exception being thrown if the cookie is missing in the request. Switch this to `false` if you prefer a `null` value if the cookie is not present in the request.

Alternatively, provide a `defaultValue()`, which implicitly sets this flag to `false`.

Default:
  true

### defaultValue

String defaultValue
The default value to use as a fallback.

Supplying a default value implicitly sets `required()` to `false`.

Default:
  "\n\t\t\n\t\t\n\ue000\ue001\ue002\n\t\t\t\t\n"